Trains and deploys a fine-tuned model.

Deprecated

Creates a new fine-tuned model. The model will be trained on the dataset specified in the request body. The training process may take some time, and the model will be available once the training is complete.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Request

Information about the fine-tuned model. Must contain name and settings.

namestringRequired

FinetunedModel name (e.g. foobar).

settingsobjectRequired
FinetunedModel settings such as dataset, hyperparameters...
statusenumOptionalDefaults to STATUS_UNSPECIFIED

read-only. Current stage in the life-cycle of the fine-tuned model.

Response

A successful response.
finetuned_modelobject

Information about the fine-tuned model.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error